Subject: [Simple] Re: pres-rules/common-pol: splitting <actions> and <transformations>

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 03 Nov 2004 02:54:02 -0500

inline.

[email-masked] wrote:

> Hi,
> 
> pres-rules/common-pol combines <actions> and <transformations> under
> <rule>. There is a concern that this might be inefficient as
> <actions> need to be evaluated after every composition attempt, even
> if for active subscriptions. The question is whether splitting of the
> authorization document to two documents (one is like subscription
> authorization rules including the <actions>, the second is like
> content rules including the <transformations>) would make any
> sense...

The data model addresses this. It says that the authorization document 
will contain information that is applicable only to subscription 
processing (sub-handling in particular) and other information specific 
to privacy filtering. I'll make sure that the presence rules document 
clearly spells out where each element is applicable.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: "Thanos Diacakis" <[email-masked]>
Date: Wed, 3 Nov 2004 12:49:19 -0700

So an implementation would need to evaluate the conditions in *every* row,
whenever a subscription is received *and* everytime a notification is about
to be sent?

That doesn't seem like a very efficient way of doing things. 

I think having those into two tables, would make life easier.  If you're
trying to decide whether you're authorizing a sub, you look in the one
table.  Conversely, if you're trying to determine what transformations to
apply to send out a notification, you look at the other table.

Thanos 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jonathan Rosenberg
> Sent: Wednesday, November 03, 2004 12:54 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [Simple] Re: pres-rules/common-pol: splitting 
> <actions> and<transformations>
> 
> inline.
> 
> > <rule>. There is a concern that this might be inefficient 
> as <actions> 
> > need to be evaluated after every composition attempt, even if for 
> > active subscriptions. The question is whether splitting of the 
> > content rules including the <transformations>) would make 
> any sense...
> 
> The data model addresses this. It says that the authorization 
> document will contain information that is applicable only to 
> subscription processing (sub-handling in particular) and 
> other information specific to privacy filtering. I'll make 
> sure that the presence rules document clearly spells out 
> where each element is applicable.
> 
> Thanks,
> Jonathan R.
> 
> 
> --

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 03 Nov 2004 18:56:23 -0500

> whenever a subscription is received *and* everytime a notification is about

No. Sorry I was not being clear.

Assuming you are associating a condition with a "row" in a database, the 
presence rules specification will call out which rows are applicable to 
processing the subscription, and which are needed for processing the 
privacy filtering before a notification is sent. The document doesn't do 
that now. I will correct that in the next revision.

> apply to send out a notification, you look at the other table.

An implementation that works this way is possible.

-Jonathan R.